%define upstream_name	 XML-Encoding
%define upstream_version 2.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A perl module for parsing XML encoding maps
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser) >= 2.180.0
BuildRequires: perl(fields)
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module, which is built as a subclass of XML::Parser, provides a parser for
encoding map files, which are XML files. The file maps/encmap.dtd in the
distribution describes the structure of these files. Calling a parse method
returns the name of the encoding map (obtained from the name attribute of the
root element). The contents of the map are processed through the callback
functions push_prefix, pop_prefix, and range_set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{_bindir}/*
%{perl_vendorlib}/XML

%changelog
* Wed Dec 09 2020 tv <tv> 2.110.0-1.mga8
+ Revision: 1654817
- update to 2.11

* Wed Feb 12 2020 umeabot <umeabot> 2.90.0-8.mga8
+ Revision: 1498409
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.90.0-7.mga7
+ Revision: 1272756
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.90.0-6.mga6
+ Revision: 1035962
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.90.0-5.mga6
+ Revision: 949908
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2.90.0-4.mga5
+ Revision: 790571
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-3.mga5
+ Revision: 749635
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-2.mga5
+ Revision: 686917
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 2.90.0-1.mga5
+ Revision: 632877
- update to 2.09

* Fri Oct 18 2013 umeabot <umeabot> 2.80.0-3.mga4
+ Revision: 516094
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.80.0-2.mga3
+ Revision: 375006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.80.0-1.mga1
+ Revision: 29425
- mageia rebuild
- imported package perl-XML-Encoding

